编译安装 apache 2.2.14 通过 

最近发现apache.org偷偷摸摸的放出了httpd的最新一个版本 2.2.14,于是迅速跟进.

编译configure 如下:
$ ./configure --prefix=/usr/local/apache/ --enable-v4-mapped --enable-maintainer-mode --enable-isapi --enable-file-cache --enable-cache --enable-disk-cache --enable-mem-cache --enable-echo --enable-charset-lite --enable-mime-magic --enable-usertrack --enable-proxy --enable-proxy-connect --enable-proxy-http --enable-proxy-ajp --enable-proxy-balancer --enable-http --enable-dav --enable-info --enable-cgi --enable-vhost-alias --enable-imagemap --enable-rewrite --enable-so --with-included-apr。

由于我的VPS不支持80之外的所有端口,故没有添加SSL功能. 郁闷呀

在我卸载掉之前的老版本2.2.13 后,我又下载了nginx最新的开发版本0.8.20,安装试跑了一下,本来是打算临时顶替一下apache的,不过试了一下速度,发现蛮快的。

而且体积也相对小巧了不少。一时间还让我产生了干脆抛弃apache的冲动。

不过很遗憾的是,由于nginx并不是原生的支持php,而是要通过fastcgi去中转。当我兴致勃勃的下载了spawn-fcgi的最新版本 1.6.3后,发现我在编译安装php的时候,并没有加入cgi的支持。。。

所以,这个想法只能罢了。继续回到apache怀抱. :)
[ ] ( 2961 次浏览 ) 永久链接 ( 3 / 1418 )

<< <上一页 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 下一页> >>